org.apache.poi.poifs.crypt

## Enum CipherAlgorithm

- java.lang.Object
- - java.lang.Enum<CipherAlgorithm>
  - - org.apache.poi.poifs.crypt.CipherAlgorithm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CipherAlgorithm>

      public enum CipherAlgorithm
      extends java.lang.Enum<CipherAlgorithm>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aes128`
    `aes192`
    `aes256`
    `des`
    `des3`
    `des3_112`
    `rc2`
    `rc4`
    `rsa`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `allowedKeySize`
    `int` | `blockSize`
    `int` | `defaultKeySize`
    `int` | `ecmaId`
    `int` | `encryptedVerifierHashLength`
    `java.lang.String` | `jceId`
    `boolean` | `needsBouncyCastle`
    `CipherProvider` | `provider`
    `java.lang.String` | `xmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CipherAlgorithm` | `fromEcmaId(int ecmaId)`
    `static CipherAlgorithm` | `fromXmlId(java.lang.String xmlId, int keySize)`
    `static CipherAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CipherAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### rc4

          public static final CipherAlgorithm rc4

    - #### aes128

          public static final CipherAlgorithm aes128

    - #### aes192

          public static final CipherAlgorithm aes192

    - #### aes256

          public static final CipherAlgorithm aes256

    - #### rc2

          public static final CipherAlgorithm rc2

    - #### des

          public static final CipherAlgorithm des

    - #### des3

          public static final CipherAlgorithm des3

    - #### des3_112

          public static final CipherAlgorithm des3_112

    - #### rsa

          public static final CipherAlgorithm rsa

  - ### Field Detail

    - #### provider

          public final CipherProvider provider

    - #### jceId

          public final java.lang.String jceId

    - #### ecmaId

          public final int ecmaId

    - #### defaultKeySize

          public final int defaultKeySize

    - #### allowedKeySize

          public final int[] allowedKeySize

    - #### blockSize

          public final int blockSize

    - #### encryptedVerifierHashLength

          public final int encryptedVerifierHashLength

    - #### xmlId

          public final java.lang.String xmlId

    - #### needsBouncyCastle

          public final boolean needsBouncyCastle

  - ### Method Detail

    - #### values

          public static CipherAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CipherAlgorithm c : CipherAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CipherAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromEcmaId

          public static CipherAlgorithm fromEcmaId(int ecmaId)

    - #### fromXmlId

          public static CipherAlgorithm fromXmlId(java.lang.String xmlId,
                                                  int keySize)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.